2.3 Removing the docker Package

The latest Docker package is docker-engine, which conflicts with the older docker package. If you have the older docker package installed, you must remove it before you install Docker Engine. To check if you have the older docker package installed, run:

# rpm -qi docker

If the older docker package is installed, stop the docker service and remove the package. To stop the docker service:

# systemctl stop docker

Remove the docker package.

# yum remove docker

You can now install the docker-engine package.